<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/12/2004 *
 * ===================                          Last change: 04/18/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-admins_add.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Add new administrator account                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Neues Administrator-Account anlegen              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);

// Display form is default
$FORM = true;

if ((isPostRequestParameterSet('add')) && (isPostRequestParameterSet('login')) && (isPostRequestParameterSet('email')) && (isPostRequestParameterSet('pass1')) && (isPostRequestParameterSet('pass2')) && (postRequestParameter('pass1') == postRequestParameter('pass2'))) {
	// Add admin when not added already
	if (addAdminAccount(postRequestParameter('login'), generateHash(postRequestParameter('pass1')), postRequestParameter('email')) == 'done') {
		// Do not ouput any form!
		$FORM = false;

		// Admin login saved
		loadTemplate('admin_settings_saved', false, getMessage('ADMIN_ADMINS_ADD_DONE'));

		// Run filter chain
		runFilterChain('post_admin_added', postRequestArray());
	} // END - if
} // END - if

// Shall we display the form?
if ($FORM === true) {
	// Prepare content
	$content = merge_array(
		array('login' => '', 'email' => ''),
		postRequestArray()
	);

	// Load form from template
	loadTemplate('admin_admins_add', false, $content);
} // END - if

// [EOF]
?>
